Get SCIM User
curl --request GET \
--url https://eu1.api.matillion.com/dpc/v1/directory-integration/scim/v2/Users/{id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://eu1.api.matillion.com/dpc/v1/directory-integration/scim/v2/Users/{id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://eu1.api.matillion.com/dpc/v1/directory-integration/scim/v2/Users/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"meta": {
"created": "2023-11-07T05:31:56Z",
"lastModified": "2023-11-07T05:31:56Z",
"location": "<string>",
"resourceType": "<string>",
"version": "<string>"
},
"active": true,
"addresses": [
{
"country": "<string>",
"display": "<string>",
"formatted": "<string>",
"locality": "<string>",
"postalCode": "<string>",
"primary": true,
"region": "<string>",
"streetAddress": "<string>",
"type": "<string>"
}
],
"displayName": "<string>",
"emails": [
{
"display": "<string>",
"primary": true,
"type": "<string>",
"value": "<string>"
}
],
"entitlements": [
{
"display": "<string>",
"primary": true,
"type": "<string>",
"value": "<string>"
}
],
"externalId": "<string>",
"groups": [
{
"display": "<string>",
"ref": "<string>",
"value": "<string>"
}
],
"id": "<string>",
"ims": [
{
"display": "<string>",
"primary": true,
"type": "<string>",
"value": "<string>"
}
],
"locale": "<string>",
"name": {
"familyName": "<string>",
"formatted": "<string>",
"givenName": "<string>",
"honorificPrefix": "<string>",
"honorificSuffix": "<string>",
"middleName": "<string>"
},
"nickName": "<string>",
"password": "<string>",
"phoneNumbers": [
{
"display": "<string>",
"primary": true,
"type": "<string>",
"value": "<string>"
}
],
"photos": [
{
"display": "<string>",
"primary": true,
"type": "<string>",
"value": "<string>"
}
],
"preferredLanguage": "<string>",
"profileUrl": "<string>",
"roles": [
{
"display": "<string>",
"primary": true,
"type": "<string>",
"value": "<string>"
}
],
"schemas": [
"<string>"
],
"timezone": "<string>",
"title": "<string>",
"userName": "<string>",
"userType": "<string>",
"x509Certificates": [
{
"display": "<string>",
"primary": true,
"type": "<string>",
"value": "<string>"
}
]
}{
"detail": "<string>",
"instance": "<string>",
"status": 123,
"title": "<string>",
"type": "<string>",
"violations": [
"<string>"
]
}{
"detail": "<string>",
"instance": "<string>",
"status": 123,
"title": "<string>",
"type": "<string>",
"violations": [
"<string>"
]
}{
"detail": "<string>",
"instance": "<string>",
"status": 123,
"title": "<string>",
"type": "<string>",
"violations": [
"<string>"
]
}{
"detail": "<string>",
"instance": "<string>",
"status": 123,
"title": "<string>",
"type": "<string>",
"violations": [
"<string>"
]
}Directory Integration
Get SCIM User
Retrieve a specific SCIM User by ID
GET
/
v1
/
directory-integration
/
scim
/
v2
/
Users
/
{id}
Get SCIM User
Authorizations
a valid bearer token
Path Parameters
User ID
Response
User retrieved successfully
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Required string length:
1 - 2147483647Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Required array length:
1 - 2147483647 elementsShow child attributes
Show child attributes
Was this page helpful?
⌘I
